Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring Data Commons
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.data.repository.query
Class QueryCreationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.data.repository.query.QueryCreationException

All Implemented Interfaces:
  Serializable

    public final class QueryCreationException

extends RuntimeException

Exception to be thrown if a query cannot be created from a `QueryMethod`.

Author:
  Oliver Gierke
See Also:
  Serialized Form

Method Summary
`static QueryCreationException` | `create(QueryMethod method, String message)` Creates a new `QueryCreationException`.
`static QueryCreationException` | `create(QueryMethod method, Throwable cause)` Creates a new `QueryCreationException` for the given `QueryMethod` and `Throwable` as cause.
`static QueryCreationException` | `invalidProperty(QueryMethod method, String propertyName)` Rejects the given domain class property.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### invalidProperty

    public static QueryCreationException invalidProperty(QueryMethod method,
                                                         String propertyName)

  Rejects the given domain class property.

  Parameters:
    `method` -
    `propertyName` -
  Returns:

### create

    public static QueryCreationException create(QueryMethod method,
                                                String message)

  Creates a new `QueryCreationException`.

  Parameters:
    `method` -
    `message` -
  Returns:

### create

    public static QueryCreationException create(QueryMethod method,
                                                Throwable cause)

  Creates a new `QueryCreationException` for the given `QueryMethod` and `Throwable` as cause.

  Parameters:
    `method` -
    `cause` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring Data Commons
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.